#include <opencv2/opencv.hpp>

int main_recorder()
{
    cv::VideoCapture camera(0,cv::CAP_DSHOW);
    double fps = 10;
    camera.set(cv::CAP_PROP_FPS, fps);
    printf("%lf fps\n",fps);

    cv::Mat frame;
    camera >> frame;

    cv::VideoWriter out("../record.avi",cv::VideoWriter::fourcc('M','J','P','G'),fps, frame.size());

    for (;;) {
        cv::imshow("camera",frame);
        int key = cv::waitKey(1);
        if (key == 27) break;

        out << frame;

        camera >> frame;
        if (frame.empty()) break;
    }
    
    out.release();
    camera.release();
    cv::destroyAllWindows();
    return 0;
}
